# Class CIM_HostedStoragePool
extends CIM_SystemComponent

SystemStoragePool is a specialization of SystemComponent association that establishes that the StoragePool is defined in the context of the System.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent
|
+--CIM_HostedStoragePool

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | SystemStoragePool is a specialization of SystemComponent association that establishes that the StoragePool is defined in the context of the System.
UMLPackagePath | string | CIM::Device::StorageServices
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_HostedStoragePool | CIM_System
PartComponent | CIM_HostedStoragePool | CIM_StoragePool

## Class Methods